Skip to main content

POST /loss-of-supplier/v1/{mpid}/intervene

Submits an intervention against an active invitation to intervene.

Request

Method and path:

  • POST /loss-of-supplier/v1/{mpid}/intervene

Headers:

  • X-API-KEY (required): string, UUID format.
  • X-IDEMPOTENCY-KEY (required): string.
  • X-TEST-MODE (optional): string ("true" to suppress production comms).

Path parameters:

  • mpid (required): string supplier MPID.

Body schema:

  • InterventionSchema
{
"mpan_core": 1234567890123,
"request_id": "72f30f06-afcc-4ad8-8c1f-78e556ea9cbc",
"intervention_type": "Objection"
}

Allowed intervention_type values used in this endpoint:

  • Objection
  • NoObjection
  • Annulment

Response

Success:

  • 202 Accepted
  • Body type: InterventionSchema
{
"mpan_core": 1234567890123,
"request_id": "72f30f06-afcc-4ad8-8c1f-78e556ea9cbc",
"intervention_type": "Objection",
"updated_at": "2026-03-24T08:35:14+00:00"
}

Other documented responses:

  • 401 Unauthorized.
  • 409 Conflict.
  • 422 Validation error.
  • 428 Missing X-IDEMPOTENCY-KEY.

Field-level constraints: